
Core - Feature # 45487

Status: Closed Priority: Should have
Author: Lucas Jenß Category:
Created: 2013-02-14 Assigned To:
Updated: 2014-02-20 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Inexsistant error messages when trying to configure ImageMagick in Install Tool
Description

As it currently stands, when one tries to configure ImageMagick, there is
no feedback from the install tool if an error occured while trying to execute
ImageMagick commands.

For example, I recently had the problem that a webserver environment hat 
a wrong library path, which resulted in the wrong libfreetype being used
by ImageMagick, but only when executed from within PHP. That particular
issue was very hard to debug (had to dig into the install tool methods), because
there was no feedback provided by the install tool.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History
#1 - 2013-02-14 15:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18265

#2 - 2013-02-15 13:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18265

#3 - 2013-10-14 15:00 - Christian Kuhn
- Status changed from Under Review to Needs Feedback

Hey Lucas, we abandoned the patch for now since the install tool was fully rewritten in 6.2.

Could you maybe take a look at the 6.2 solution and see if your issue still exists? The patch itself would then probably look very different, too.

#4 - 2014-02-20 16:32 - Alexander Opitz
- Status changed from Needs Feedback to Closed
No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
